%define bootstrap 1
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

Name:           dblatex
Version:        0.3.7
Release:        %mkrel 1
Summary:        DocBook to LaTeX/ConTeXt Publishing
BuildArch:      noarch
Group:          Publishing
License:        GPLv2+
URL:            http://dblatex.sourceforge.net/
Source0:        http://downloads.sourceforge.net/dblatex/dblatex-%{version}.tar.bz2
#Source1:        http://docbook.sourceforge.net/release/xsl/current/COPYING
Source1:        COPYING-docbook-xsl
Patch0:         dblatex-0.2.7-external-which.patch
Patch1:         dblatex-0.3.4-disable-debian.patch

BuildRequires:  python
BuildRequires:  pkgconfig(python2)
BuildRequires:  libxslt-proc 
BuildRequires:  texlive
%if !%bootstrap
BuildRequires:  imagemagick
%endif
BuildRequires:  latex 
BuildRequires:  texlive-texmf 
BuildRequires:  python-which
Requires:       libxslt-proc docbook-dtd44-xml xmltex latex
%if !%bootstrap
Requires:       imagemagick
%endif
Requires:       transfig
#BuildRequires:  tetex-fonts
Requires(post): texlive
Requires(postun): texlive

%description
dblatex is a program that transforms your SGML/XMLDocBook
documents to DVI, PostScript or PDF by translating them
into pure LaTeX as a first process.  MathML 2.0 markups
are supported, too. It started as a clone of DB2LaTeX.

Authors: Benoit Guillon <marsgui at users dot sourceforge dot net> and
Andreas Hoenen <andreas dot hoenen at arcor dot de>


%prep
%setup -q
%patch0 -p1 -b .external-which
%patch1 -p1
rm -r lib/contrib

%build
%py2_build

%install
%py2_install

# these are already in tetex-latex:
for file in bibtopic.sty enumitem.sty ragged2e.sty passivetex/; do
  rm -rf $RPM_BUILD_ROOT%{_datadir}/dblatex/latex/misc/$file
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/dblatex
for file in ` find $RPM_BUILD_ROOT%{_datadir}/dblatex/latex/ -name '*.sty' ` ; do
  mv $file $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/dblatex/`basename $file`;
done

rm -rf $RPM_BUILD_ROOT%{_datadir}/dblatex/latex/{misc,contrib/example,style}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dblatex
# shipped in %%docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/

sed -e 's/\r//' xsl/mathml2/README > README-xsltml
touch -r xsl/mathml2/README README-xsltml
cp -p %{SOURCE1} COPYING-docbook-xsl



%files
%{_mandir}/man1/dblatex.1*
%doc COPYRIGHT docs/manual.pdf COPYING-docbook-xsl README-xsltml
%{python2_sitelib}/dbtexmf/
%{python2_sitelib}/dblatex-*.egg-info
%{_bindir}/dblatex
%{_datadir}/dblatex/
%{_datadir}/texmf/tex/latex/dblatex/
%dir %{_sysconfdir}/dblatex

%post -p /usr/bin/texhash

%postun -p /usr/bin/texhash


%changelog
* Sat Mar 26 2016 daviddavid <daviddavid> 0.3.7-1.mga6
+ Revision: 995594
- new version: 0.3.7
- use new python macros

* Sat Feb 06 2016 umeabot <umeabot> 0.3.5-6.mga6
+ Revision: 941263
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.5-5.mga5
+ Revision: 740248
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.5-4.mga5
+ Revision: 726071
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 tv <tv> 0.3.5-3.mga5
+ Revision: 725035
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.5-2.mga5
+ Revision: 678681
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 malo <malo> 0.3.5-1.mga5
+ Revision: 638771
- update to 0.3.5

* Sat May 31 2014 pterjan <pterjan> 0.3.4-4.mga5
+ Revision: 628151
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.3.4-3.mga4
+ Revision: 542668
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.3.4-2.mga4
+ Revision: 497833
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Feb 05 2013 malo <malo> 0.3.4-1.mga3
+ Revision: 394687
- new version 0.3.4

* Fri Jan 11 2013 umeabot <umeabot> 0.3.3-2.mga3
+ Revision: 348629
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 malo <malo> 0.3.3-1.mga3
+ Revision: 343217
- new version 0.3.3

* Sat Jan 28 2012 malo <malo> 0.3.2-1.mga2
+ Revision: 202356
- spec clean-up
- new version 0.3.2

* Fri Mar 04 2011 boklm <boklm> 0.3-3.mga1
+ Revision: 64063
- don't require tetex

* Mon Jan 17 2011 pterjan <pterjan> 0.3-2.mga1
+ Revision: 21246
- Rebuild for python 2.7

* Tue Jan 11 2011 dmorgan <dmorgan> 0.3-1.mga1
+ Revision: 5532
- imported package dblatex


* Fri Oct 29 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3-1mdv2011.0
+ Revision: 590218
- change BR to tetex; texlive is in contrib and dblatex is in main
- let texlive-latex pull texlive
- update to 0.3

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt for 2010.1

* Sat Oct 10 2009 Anssi Hannula <anssi@mandriva.org> 0.2.9-3mdv2010.0
+ Revision: 456517
- allow both tetex and texlive to satisfy requires(post,postun) in order
  to match the regular requires

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 0.2.9-2mdv2010.0
+ Revision: 427534
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Aug 16 2008 David Walluck <walluck@mandriva.org> 0.2.9-1mdv2009.0
+ Revision: 272768
- fix build
- 0.2.9

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.2.8-2mdv2009.0
+ Revision: 266555
- rebuild early 2009.0 package (before pixel changes)

  + David Walluck <walluck@mandriva.org>
    - remove Conflicts: tex4ht
    - import dblatex


* Sun Dec 16 2007 Patrice Dumas <pertusus@free.fr> - 0.2.8-2.1
- don't install in docbook directory, it is a link to a versioned 
  directory and may break upon docbook update (#425251,#389231)

* Sun Nov 25 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.8-1
- Update to 0.2.8

* Mon Nov 12 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-16
- convert spec to utf8
- change to gplv2+

* Mon Nov 12 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-15
- Add copyright info

* Mon Nov  5 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-14
- Req tetex-fonts for texhash
- Fix post, postun

* Sun Nov  4 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-13
- Add texhash

* Sun Nov  4 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-12
- Fix xsl link

* Sat Nov  3 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-12
- Various fixes from pertusus@free.fr:
- rm iconv stuff
- simplify docs installation

* Fri Nov  2 2007  <ndbecker2@gmail.com> - 0.2.7-11
- Various minor fixes

* Thu Nov  1 2007  <ndbecker2@gmail.com> - 0.2.7-10
- Add some reqs and brs
- rmdir /usr/share/dblatex/latex/{misc,contrib/example,style}

* Sat Oct 27 2007  <ndbecker2@gmail.com> - 0.2.7-9
- link /usr/share/dblatex/xsl -> /usr/share/sgml/docbook/xsl-stylesheets/dblatex
- rmdir /usr/share/dblatex/latex/{misc,specs,style}
- own /etc/dblatex
- change $(...) -> `...`
- Preserve timestamps on iconv

* Mon Oct 15 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-9
- mv all .sty files to datadir/texmf/tex/latex/dblatex
- Add Conflicts tetex-tex4ht
- mv all xsl stuff to datadir/sgml/docbook/xsl-stylesheets/dblatex/

* Mon Oct 15 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-8
- rm redundant latex files

* Tue Sep 25 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-8
- Fixed encodings in docs directory
- Install docs at correct location

* Fri Sep 21 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-7
- Revert back to GPLv2
- untabify

* Fri Sep 21 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-6
- Fix source URL
- Install all docs
- Tabify

* Thu Sep 20 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-5
- Add BR tetex-latex

* Thu Sep 20 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-4
- Add  BR tetex, ImageMagick

* Thu Sep 20 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-3
- Add BR libxslt 

* Wed Sep 19 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-2
- Add BR python-devel

* Fri Sep  7 2007 Neal Becker <ndbecker2@gmail.com> - 0.2.7-1
- Initial



